import request from '@/benyun/utils/request'

// 分页查询数据
function pageList(data : any, url : any) {
	return request({
		url: '/maindata/' + url + '/page',
		method: 'GET',
		data: data
	})
}

// 新增数据
function saveList(data : any, url : any) {
	return request({
		url: '/maindata/' + url + '/save',
		method: 'POST',
		data: data
	})
}
// 修改数据
function updateList(data : any, url : any) {
	return request({
		url: '/maindata/' + url + '/update',
		method: 'POST',
		data: data
	})
}
// 删除数据
function deleteList(data : any, url : any) {
	return request({
		url: '/maindata/' + url + '/delete',
		method: 'POST',
		params: data
	})
}
export default {
	pageList,
	saveList,
	updateList,
	deleteList
}